//
//  SBSDKBarcodeImageGenerationType.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 07.05.20.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKBarcodeImageGenerationType {
    init(from string: String) {
        switch string {
        // PORTRAIT?????
        case "NONE": self = .none
        case "CAPTURED_IMAGE": self = .capturedImage
        case "VIDEO_FRAME": self = .fromVideoFrame
        default: self = .none
        }
    }
}
