//
//  SBSDKGS1Handling.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 10.01.24.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKGS1Handling {
    init(from string: String) {
        switch string {
        case "NONE": self = .none
        case "PARSE": self = .parse
        case "VALIDATE": self = .validate
        case "DECODE": self = .decode
        default: self = .parse
        }
    }
}
