//
//  SBSDKMedicalPlanMedicineSubstanceFieldType.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKMedicalPlanMedicineSubstanceFieldType {
    var stringName: String? {
        switch self {
        case .activeSubstance: return "ActiveSubstance"
        case .potency: return "Potency"
        @unknown default: preconditionFailure("Unknown SBSDKMedicalPlanMedicineSubstanceFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "ActiveSubstance": self = .activeSubstance
        case "Potency": self = .potency
        default: preconditionFailure("Unknown SBSDKMedicalPlanMedicineSubstanceFieldType")
        }
    }
}
