//
//  Scanner.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 27.06.22.
//

import Foundation

protocol ScannerDelegate {
    var shouldRunDetection: Bool { get set }
    
    func attach(view: UIView)
    
    func stopPreview()
    
    func resumePreview()
    
    func isFlashAvailable() -> Bool
    
    func setFlash(enabled: Bool)
}
