//
//  SBSDKBarcodeMSIPlesseyChecksumAlgorithm.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 17.05.22.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKBarcodeMSIPlesseyChecksumAlgorithm {
    init(from string: String) {
        switch string {
        case "MOD_10": self = .mod10
        case "MOD_11_IBM": self = .mod11IBM
        case "MOD_11_NCR": self = .mod11NCR
        case "MOD_1010": self = .mod1010
        case "MOD_1110_IBM": self = .mod1110IBM
        case "MOD_1110_NCR": self = .mod1110NCR
        case "NONE": self = .none
        default: self = .none
        }
    }
}
